Name: creox
Version: 0.2.1
Release: alt0.6

Summary: The Realtime Sound Effector
License: GPL
Group: Sound
Url: http://www.uid0.sk/zyzstar/projects/?creox

Source: %url/download/%name-%version.tar.bz2

%define jack_ver 0.61.0

Requires: jackd >= %jack_ver

# Automatically added by buildreq on Mon Sep 08 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ jackit-devel kde-settings kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libxslt pkgconfig qt3-designer xml-utils zlib-devel

%description
Creox is a real-time sound processor. You can plug your electric guitar
or any other musical instrument directly to the PC's sound card and
start experimenting with various sound effects. Creox has a nice
user-friendly GUI, a preset support, a low-latency DSP engine and each
effect parameter can be altered "on the fly".

%define qtdir %_libdir/qt3

%prep
%setup -q

%build
export CXX="g++"
%configure \
	--disable-rpath \
	--with-qt-dir=%qtdir

%make_build CXX=$CXX

%install
%make_install DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Multimedia/Sound" \
    %buildroot/%_datadir/applnk/Applications/%name.desktop \
    %buildroot/%_menudir/%name

%__cp %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png %buildroot/%_iconsdir

%find_lang %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applnk/*/*.desktop
%_datadir/apps/%name
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_menudir/*
%doc %_docdir/HTML/*/%name
%doc AUTHORS ChangeLog README TODO

%changelog
* Mon Sep 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt0.6
- updated buildreqs.

* Sun Apr 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt0.5
- First build for Sisyphus.

